package base

type DataListTab struct {
	Uuid         string          `db:"uuid"`
	DataListUuid string          `db:"data_list_uuid"` // 所属列表 UUID
	Label        string          `db:"label"`          // 标签名
	Code         string          `db:"code"`           // 标签标识
	Order        []DataListOrder `db:"order"`          // 排序
	UseOrderMode int             `db:"useOrderMode"`   // 排序模式
	IsDefault    bool            `db:"isDefault"`      // 是否默认
	UpdatedAt    string          `db:"updated_at"`
	CreatedAt    string          `db:"created_at"`
}

type GetDataListTabs func(listUuid string) []DataListTab
