package base

type ResApiApprovalFlow struct {
	Uuid     string `json:"uuid"`
	Code     string `json:"code"`
	Name     string `json:"name"`
	RoleUuid string `json:"role_uuid"`
	Type     int64  `json:"type"`
	Yes      string `json:"yes"`
	No       string `json:"no"`
	Comment  string `json:"comment"`
}

type ResApiApproval struct {
	Uuid      string               `db:"uuid"`
	ApiUuid   string               `db:"api_uuid"`
	Code      string               `db:"code"`
	Name      string               `db:"name"`
	MarkField string               `db:"markField"`
	RolesUuid []string             `db:"rolesUuid"`
	Flows     []ResApiApprovalFlow `db:"flows"`
	Roles     []string             `db:"roles"`
	UpdatedAt string               `db:"updated_at"`
	CreatedAt string               `db:"created_at"`
}

type GetResApiApproval func(code string) (ResApiApproval, bool)
