package base

type ResApiField struct {
	Uuid          string `db:"id"`
	ApiUuid       string `db:"api_uuid"`
	Code          string `db:"code"`          // 字段名称
	CodeResource  string `db:"resource"`      // 字段所属资源
	Alias         string `db:"alias"`         // 字段别名
	IsExpr        bool   `db:"isExpr"`        // 字段名是否为SQL表达式
	FieldDataType string `db:"fieldDataType"` // 字段数据类型
	UpdatedAt     string `db:"updated_at"`
	CreatedAt     string `db:"created_at"`
}

type GetResApiFields func(apiUuid string) []ResApiField
