package base

type ResWidgetOperation struct {
	Uuid          string   `db:"uuid"`
	WidgetUuid    string   `db:"widget_uuid"`
	Name          string   `db:"name"`
	NoAuthType    string   `db:"noAuthType"`
	PropsAuthRule []any    `db:"propsAuthRule"`
	ExtraAuthRule []any    `db:"extraAuthRule"`
	Roles         []string `db:"roles"`
	UpdatedAt     string   `db:"updated_at"`
	CreatedAt     string   `db:"created_at"`
}

type GetResWidgetOperations func(roles ...string) []ResWidgetOperation
