package base

type Route struct {
	Uuid                   string         `db:"uuid"`
	Name                   string         `db:"name"`
	Uri                    string         `db:"uri"`
	Layout                 string         `db:"layout"`
	IsLogin                bool           `db:"isLogin"`
	IsPhone                bool           `db:"isPhone"`
	Type                   string         `db:"type"`
	Component              string         `db:"component"`
	WidgetProps            map[string]any `db:"widgetProps"`
	WidgetSetting          map[string]any `db:"widgetSetting"`
	WidgetContainerSetting map[string]any `db:"widgetContainerSetting"`
	Exact                  bool           `db:"exact"`
	Platform               string         `db:"platform"`
	UpdatedAt              string         `db:"updated_at"`
	CreatedAt              string         `db:"created_at"`
}

// 前端路由
type GetRoutes func(platform string, roles ...string) []Route
