package contracts

type Service interface {
	LoadGoPlugin(file string) error
	RegControllers(items map[string]Controller) error
	RegListens(items map[string]ResListener) error
	RegGRpcs(items map[string]GRpc) error
	RegJobs(items map[string]Job) error
	GetResListener(code string) (ResListener, bool)
	GetAppController(code string) (Controller, bool)
	GetAppGRpc(code string) (GRpc, bool)
	GetAppJob(code string) (Job, bool)
}
