package base

type DataListXlsxField struct {
	Uuid               string         `db:"uuid"`
	DataListUuid       string         `db:"data_list_uuid"`     // 所属列表 UUID
	Title              string         `db:"title"`              // 列表标题
	Code               string         `db:"code"`               // 字段名称
	CodeResource       string         `db:"codeResource"`       // 字段所属资源
	Alias              string         `db:"alias"`              // 字段别名
	FieldDataType      string         `db:"fieldDataType"`      // 字段数据类型
	IsExpr             bool           `db:"isExpr"`             // 字段名是否为SQL表达式
	IsShow             bool           `db:"isShow"`             // 字段名是否为SQL表达式
	ConvertByJs        string         `db:"convertByJs"`        // 字段数据转换组件
	ConvertByJsSetting map[string]any `db:"convertByJsSetting"` // 字段数据转换组件参数
}

type GetDataListXlsxFields func(listUuid string) []DataListXlsxField
