package base

type Menu struct {
	Uuid                   string         `db:"uuid"`
	Id                     int            `db:"id"`
	Pid                    int            `db:"pid"`
	Type                   string         `db:"type"`
	Name                   string         `db:"name"`
	Icon                   string         `db:"icon"`
	Widget                 string         `db:"widget"`
	WidgetType             string         `db:"widgetType"`
	WidgetProps            map[string]any `db:"widgetProps"`
	WidgetSetting          map[string]any `db:"widgetSetting"`
	WidgetContainerSetting map[string]any `db:"widgetContainerSetting"`
	Roles                  []string       `db:"roles"`
	Platform               string         `db:"platform"`
	UpdatedAt              string         `db:"updated_at"`
	CreatedAt              string         `db:"created_at"`
}

type GetMenus func(platform string, roles ...string) []Menu
