package base

type PrintTemplate struct {
	Uuid         string         `db:"uuid"`
	ResourceUuid string         `db:"resource_uuid"` // 所属资源UUID
	Code         string         `db:"code"`          // 打印模板标识
	Name         string         `db:"name"`          // 打印模板名称
	PrimaryKey   string         `db:"primaryKey"`    // 主键标识
	Roles        []string       `db:"roles"`         // 打印权限
	Template     map[string]any `db:"template"`      // 打印权限
	UpdatedAt    string         `db:"updated_at"`
	CreatedAt    string         `db:"created_at"`
}

type GetPrintTemplate func(uuid string) (PrintTemplate, bool)
