package base

type ResConfigure struct {
	Uuid         string `db:"uuid"`
	ResourceUuid string `db:"resource_uuid"`
	Key          string `db:"key"`
	Value        string `db:"value"`
	Label        string `db:"label"`
	Type         string `db:"type"`
	IsPrivate    bool   `db:"isPrivate"`
	Desc         string `db:"desc"`
	UpdatedAt    string `db:"updated_at"`
	CreatedAt    string `db:"created_at"`
}

type GetResConfigures func(uuid string) []ResConfigure
