package base

type ResJob struct {
	Uuid         string `db:"uuid"`
	Code         string `db:"code"`
	Name         string `db:"name"`
	ResourceUuid string `db:"resource_uuid"`
	Replay       int64  `db:"replay"`
	IsRecord     bool   `db:"isRecord"`
	UpdatedAt    string `db:"updated_at"`
	CreatedAt    string `db:"created_at"`
}

type GetResJob func(code string) (ResJob, bool)
